# Class BeforePinEvent

#### Hierarchy

- PinningIntegrationEvent
  - BeforePinEvent

#####
Index

### Constructors

constructor

### Properties

type

## Constructors

### constructor

- new BeforePinEvent(): BeforePinEvent

- #### Returns BeforePinEvent

  Inherited from PinningIntegrationEvent.constructor

## Properties

### `Readonly` type

type: "beforepin" = PinningEvents.BeforePin

Overrides PinningIntegrationEvent.type